Recent

Author Topic: Raspberry Pi5 Ubuntu 23.10  (Read 2052 times)

SandyG

  • New Member
  • *
  • Posts: 48
Raspberry Pi5 Ubuntu 23.10
« on: April 12, 2024, 03:05:39 am »
Just started playing with a new Pi5 with 8GB and loaded up Ubuntu 23.10 64bit Seems to go well, no issues and running well.

Installed Lazarus from the package manager and I think it installed v2.2 and related. And after figuring out that you need to change the debugger to GDB it all seemed to work nicely, compiled a couple of simple demo programs and all seemed well. But on my Windows 11 machine I'm running Lazarus 3.0 and FPC 3.2.2.

I didn't see any packages that were Lazarus 3.0 or better, or know where to find them for Pi5/ARM.

Anyone using Ubuntu and current 3.x of Lazarus point me in the right direction to get the proper packages... if they do exist.

Thanks

Sandy

Dzandaa

  • Sr. Member
  • ****
  • Posts: 278
  • From C# to Lazarus
Re: Raspberry Pi5 Ubuntu 23.10
« Reply #1 on: April 29, 2024, 04:08:41 pm »
Hi,

Did you read this?

https://wiki.freepascal.org/Lazarus_on_Raspberry_Pi

And this:
https://wiki.freepascal.org/fpcupdeluxe

I succeed installing Lazarus on A Pi3 with fpcupdeluxe

I think that procedure will work on Pi5.

B->

Dzandaa

TRon

  • Hero Member
  • *****
  • Posts: 2679
Re: Raspberry Pi5 Ubuntu 23.10
« Reply #2 on: April 29, 2024, 04:24:07 pm »
I succeed installing Lazarus on A Pi3 with fpcupdeluxe

I think that procedure will work on Pi5.
Yes, that should be no problem. I run a manual build of Lazarus 3.2 on a pi4.

@SandyG:
There doesn't exist any package for the Pi for newer Lazarus. You would have to build Lazarus manually (see also wiki), or use FPCUpdeluxe as suggested by Dzandaa.

SandyG

  • New Member
  • *
  • Posts: 48
Re: Raspberry Pi5 Ubuntu 23.10
« Reply #3 on: April 29, 2024, 07:20:47 pm »
I did check out the wiki, and tried to get Fcpudeluxe going but I just didn't have the linux chops to get it working. Got pretty far but still had issues. I was hopeful that I could get it going with fcpudeluxe but botched something.

I went back to the package manager and am just using the older version of Lazarus. Seems OK with a few glitches now and again, but otherwise pretty good. I seem to run into more issues with packages/components that don't quite work right on linux (ARM anyways). I was messing with UE Controls and a few others that had issues. Otherwise works pretty well.

I'm going to try to get installed the ARM version of Ubuntu 24.x which I think had Lazarus 3.x (not sure which) as available from the package manager. Likely just get another PI so I can keep one working and one for trying different things.

Need to get my Linux skills back into shape, the PI5 is pretty useable, better in some cases then running VirtualBox with linux which I had done in the past. The one tip is that in 4k video mode it's a bit slow, but at regular 2k HD it really works pretty well.

Will post when I get the next PI5 and see if I can get 24.x Ubuntu running.

Sandy


dbannon

  • Hero Member
  • *****
  • Posts: 2854
    • tomboy-ng, a rewrite of the classic Tomboy
Re: Raspberry Pi5 Ubuntu 23.10
« Reply #4 on: April 30, 2024, 09:33:08 am »
....
I'm going to try to get installed the ARM version of Ubuntu 24.x which I think had Lazarus 3.x (not sure which) as available from the package manager. Likely just get another PI so I can keep one working and one for trying different things.

Check before going to the trouble of installing. I did some tests on U24.04 Beta two of week ago and, to my surprise, it did not have Lazarus 3.0.

But if you are happy with FPC322, building Lazarus from source is a pretty simple. And a Pi5 will have heaps o memory ?

Davo
Lazarus 3, Linux (and reluctantly Win10/11, OSX Monterey)
My Project - https://github.com/tomboy-notes/tomboy-ng and my github - https://github.com/davidbannon

Dzandaa

  • Sr. Member
  • ****
  • Posts: 278
  • From C# to Lazarus
Re: Raspberry Pi5 Ubuntu 23.10
« Reply #5 on: April 30, 2024, 10:55:12 am »
Hi,
I use Lazarus 2.2.6 with FPC  3.2.2 because some packages I use don't work well or haven't been adapted for the new version.

B->
Dzandaa

SandyG

  • New Member
  • *
  • Posts: 48
Re: Raspberry Pi5 Ubuntu 23.10
« Reply #6 on: April 30, 2024, 08:46:03 pm »
Interesting, I was looking at the Ubuntu packages and for 24.04 it showed that as available on the website when searching for Lazarus packages. Will be an easy test as soon as I get the second Pi5.

I pulled this image from Ubuntu - 'ubuntu-24.04-preinstalled-desktop-arm64+raspi.img.xz'

Sandy

....
I'm going to try to get installed the ARM version of Ubuntu 24.x which I think had Lazarus 3.x (not sure which) as available from the package manager. Likely just get another PI so I can keep one working and one for trying different things.

Check before going to the trouble of installing. I did some tests on U24.04 Beta two of week ago and, to my surprise, it did not have Lazarus 3.0.

But if you are happy with FPC322, building Lazarus from source is a pretty simple. And a Pi5 will have heaps o memory ?

Davo

SandyG

  • New Member
  • *
  • Posts: 48
Re: Raspberry Pi5 Ubuntu 23.10
« Reply #7 on: April 30, 2024, 08:48:59 pm »
I haven't tried a lot on x86 Lazarus 3.x but most that I have seem to work, but really just anecdotal at this point. Some show as not tested in the online component manager, but most seemed OK.

I had a few odd issues under linux on some visual components, but only just did a sample of interesting components I was interested in using.

Sandy

Hi,
I use Lazarus 2.2.6 with FPC  3.2.2 because some packages I use don't work well or haven't been adapted for the new version.

B->

 

TinyPortal © 2005-2018